## org.apache.poi.poifs.common
Class POIFSBigBlockSize

    java.lang.Object
      org.apache.poi.poifs.common.POIFSBigBlockSize

    public final class POIFSBigBlockSize

extends java.lang.Object

A class describing attributes of the Big Block Size

Constructor Summary
`protected` `POIFSBigBlockSize(int bigBlockSize, short headerValue)`

Method Summary
`int` `getBATEntriesPerBlock()`
`int` `getBigBlockSize()`
`short` `getHeaderValue()` Returns the value that gets written into the header.
`int` `getNextXBATChainOffset()`
`int` `getPropertiesPerBlock()`
`int` `getXBATEntriesPerBlock()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIFSBigBlockSize

    protected POIFSBigBlockSize(int bigBlockSize,
                                short headerValue)

Method Detail

### getBigBlockSize

    public int getBigBlockSize()

### getHeaderValue

    public short getHeaderValue()

  Returns the value that gets written into the header. Is the power of two that corresponds to the size of the block, eg 512 => 9

### getPropertiesPerBlock

    public int getPropertiesPerBlock()

### getBATEntriesPerBlock

    public int getBATEntriesPerBlock()

### getXBATEntriesPerBlock

    public int getXBATEntriesPerBlock()

### getNextXBATChainOffset

    public int getNextXBATChainOffset()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.